------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]情人节进入监狱
--Creator:		林旭
--Created:		2019/03/30
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>9
-- 2294-2230
-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(385, 287)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true) 
hero:SetZoomPercent(150)

hero:SetPos(409, 287)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(2)

local player1  = CppScriptMgr:AddSimplePlayer(23750, 385, 285, "Warden", 4003000009,1)
player1:SetDir(0)
player1:SetZoomPercent(150)
local player2  = CppScriptMgr:AddSimplePlayer(1062994, 385, 289, "Silvia", 4003000010,1)
player2:SetZoomPercent(150)
local player3  = CppScriptMgr:AddSimplePlayer(1062982, 409, 283, "Valentine", 4003000011,1)
player3:SetZoomPercent(150)

-- for i=402,385,-0.25 do
	-- CppScriptMgr:WaitMilSec(1)
	-- CppScriptMgr:SetViewPosByCell(i, 287)
-- end

-- 人物身上绑定一个光效：player:AddEffect("光效title")
-- hero:AddEffect("conjure2")
-- hero:AddEffect("npc_luzilow")
CppScriptMgr:NpcCallOut("    The Warden is furious because Silvia helped Valentine escape.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Silvia! You allowed Valentine to escape!",2000)
CppScriptMgr:WaitMilSec(2000)
player2:Say("As long as he could live, I`m willing to be locked up.",2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say("Valentine is using you!",2000)
player1:AddEffect("curse")
CppScriptMgr:WaitMilSec(2000)
player2:Say("No, he isn`t! He would do this for me if he was in my place.",2000)
player2:SetAction(170)
player2:AddEffect("flyflower-2")
CppScriptMgr:WaitMilSec(2000)
player1:Say("He is a coward! He ran away alone!",2000)
CppScriptMgr:WaitMilSec(2000)

-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(3000)
CppScriptMgr:WaitMilSec(3000)
-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(406, 287)
CppScriptMgr:WaitMilSec(500)
hero:AddEffect("moveback")
CppScriptMgr:WaitMilSec(2000)
-- 半身像对话框
CppScriptMgr:NpcCallOut("    This is the prison. Silvia must be locked up in it. It is heavily Jailered because I ran away.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25846", 150, 430, "Valentine", 250, 655)
CppScriptMgr:WaitMilSec(3000)

local monster1   = CppScriptMgr:AddPlayer(265, 396, 285, "Jailer", 4003000021,1)
local monster2   = CppScriptMgr:AddPlayer(265, 392, 283, "Jailer", 4003000022,1)
local monster3   = CppScriptMgr:AddPlayer(265, 397, 284, "Jailer", 4003000023,1)
local monster4   = CppScriptMgr:AddPlayer(265, 392, 285, "Jailer", 4003000024,1)
local monster5   = CppScriptMgr:AddPlayer(265, 397, 283, "Jailer", 4003000025,1)
local monster6   = CppScriptMgr:AddPlayer(265, 394, 286, "Jailer", 4003000026,1)
local monster7   = CppScriptMgr:AddPlayer(265, 391, 286, "Jailer", 4003000031,1)
local monster8   = CppScriptMgr:AddPlayer(265, 395, 285, "Jailer", 4003000032,1)
local monster9   = CppScriptMgr:AddPlayer(265, 391, 289, "Jailer", 4003000033,1)
local monster10  = CppScriptMgr:AddPlayer(265, 391, 286, "Jailer", 4003000034,1)
monster1:SetZoomPercent(150)
monster2:SetZoomPercent(150)
monster3:SetZoomPercent(150)
monster4:SetZoomPercent(150)
monster5:SetZoomPercent(150)
monster6:SetZoomPercent(150)
monster7:SetZoomPercent(150)
monster8:SetZoomPercent(150)
monster9:SetZoomPercent(150)
monster10:SetZoomPercent(150)
monster1:AddEffect("MBStandard")
monster2:AddEffect("MBStandard")
monster3:AddEffect("MBStandard")
monster4:AddEffect("MBStandard")
monster5:AddEffect("MBStandard")
monster6:AddEffect("MBStandard")
monster7:AddEffect("MBStandard")
monster8:AddEffect("MBStandard")
monster9:AddEffect("MBStandard")
monster10:AddEffect("MBStandard")
CppScriptMgr:WaitMilSec(2000)
-- 半身像对话框
CppScriptMgr:NpcCallOut("    They found us! Kill the Jailers!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25846", 150, 430, "Valentine", 250, 655)
CppScriptMgr:WaitMilSec(3000)


